Forums
Como instalar Vdrift en Ubuntu 10.04?? - Printable Version

+- Forums (https://www.vdrift.net/Forum)
+-- Forum: Community (https://www.vdrift.net/Forum/forumdisplay.php?fid=3)
+--- Forum: Help (https://www.vdrift.net/Forum/forumdisplay.php?fid=5)
+--- Thread: Como instalar Vdrift en Ubuntu 10.04?? (/showthread.php?tid=1347)



Como instalar Vdrift en Ubuntu 10.04?? - johannlp - 09-23-2010

He estado mirando los posts en el foro e intentando hacer lo que dicen paso a paso pero cuando ejecuto el comando scons me da un error y quisiera ver la posibilidad de que me ayuden un poco con esto. El error en cuestion es el siguiente:

johannlp@kamy:~/vdrift-2009-02-15$ scons
scons: Reading SConscript files ...

scons: warning: The Options class is deprecated; use the Variables class instead.
File "/home/johannlp/vdrift-2009-02-15/SConstruct", line 9, in <module>

scons: warning: The BoolOption() function is deprecated; use the BoolVariable() function instead.
File "/home/johannlp/vdrift-2009-02-15/SConstruct", line 13, in <module>
Checking for C++ header file GL/gl.h... (cached) yes
Checking for C++ header file GL/glu.h... (cached) yes
Checking for C++ header file SDL/SDL.h... (cached) yes
Checking for C++ header file SDL/SDL_image.h... (cached) yes
Checking for C++ header file SDL/SDL_net.h... (cached) yes
Checking for C++ header file SDL/SDL_rotozoom.h... (cached) yes
Checking for C++ header file vorbis/vorbisfile.h... (cached) yes
Checking for C++ header file GL/glew.h... (cached) yes
sh: svnversion: not found
scons: done reading SConscript files.
scons: Building targets ...
g++ -o build/ai.o -c -Wall -Wextra -Wno-unused-parameter -O1 -pipe -D_GNU_SOURCE=1 -D_REENTRANT -Iinclude -Ibullet-2.73/src -I/usr/include/SDL src/ai.cpp
In file included from include/track_object.h:6,
from include/track.h:17,
from src/ai.cpp:4:
include/collision_detection.h:13:37: error: btBulletCollisionCommon.h: No such file or directory
In file included from include/track_object.h:6,
from include/track.h:17,
from src/ai.cpp:4:
include/collision_detection.h:15: error: ‘btCollisionWorld’ has not been declared
include/collision_detection.h:15: error: expected ‘{’ before ‘RayResultCallback’
include/collision_detection.h:16: error: invalid type in declaration before ‘{’ token
include/collision_detection.h:16: warning: extended initializer lists only available with -std=c++0x or -std=gnu++0x
include/collision_detection.h:17: error: invalid use of incomplete type ‘struct MultipleRayResultCallback’
include/collision_detection.h:15: error: forward declaration of ‘struct MultipleRayResultCallback’
include/collision_detection.h:17: error: expected primary-expression before ‘(’ token
include/collision_detection.h:17: error: expected primary-expression before ‘const’
include/collision_detection.h:17: error: expected primary-expression before ‘const’
include/collision_detection.h:17: error: expected ‘}’ before ‘:’ token
include/collision_detection.h:17: error: expected ‘,’ or ‘;’ before ‘:’ token
In file included from include/track_object.h:6,
from include/track.h:17,
from src/ai.cpp:4:
include/collision_detection.h:18: error: ‘btVector3’ does not name a type
include/collision_detection.h:19: error: ‘btVector3’ does not name a type
include/collision_detection.h:21: error: ‘btCollisionWorld’ was not declared in this scope
include/collision_detection.h:21: error: template argument 1 is invalid
include/collision_detection.h:21: error: template argument 2 is invalid
include/collision_detection.h:21: error: invalid type in declaration before ‘;’ token
include/collision_detection.h:23: error: ‘btScalar’ does not name a type
include/collision_detection.h:36: error: expected declaration before ‘}’ token
scons: *** [build/ai.o] Error 1
scons: building terminated because of errors.
johannlp@kamy:~/vdrift-2009-02-15$

Agradezco de antemano en lo que me puedan orientar


- NaN - 09-23-2010

You are missing bullet-2.73-sp1. Read http://wiki.vdrift.net/Compiling. Try 2009-06-15 or 2010-06-30 release.


- skankerror - 09-23-2010

NaN Wrote:You are missing bullet-2.73-sp1. Read http://wiki.vdrift.net/Compiling. Try 2009-06-15 or 2010-06-30 release.

Link does not work : http://wiki.vdrift.net/Compiling . This one does.
On Ubuntu you can follow this link : http://www.playdeb.net/updates/ubuntu/10.04/?q=vdrift .

This is 20100630 version as a deb package.